# Class to start and pause the deployment pipeline. Needs to be paused and restarted
# when deployment related tests are executing
from common.gars import GARS
from common.servicemanager import ServiceManager


class APDeployment:
    def pause(self):
        print("Pausing deployment pipeline on this machine")
        GARS.stop()
        ServiceManager.stop()
        ServiceManager.save_state()

    def restart(self):
        print("Starting deployment pipeline back.")
        # Redundant, tests should take care of this, but sometimes they may exit without updating.
        ServiceManager.restore_state()
        GARS.restart()
        ServiceManager.restart()
