import shutil

from common.appath import APPath
from common.shellhelper import ShellHelper


class ServiceManager:

    @staticmethod
    def save_state():
        shutil.copyfile(APPath.ServiceManagerDataRoot + 'active_servicelist.json',
                        APPath.ServiceManagerDataRoot + 'active_servicelist.json.saved')
        shutil.copyfile(APPath.ServiceManagerDataRoot + 'new_servicelist.json',
                        APPath.ServiceManagerDataRoot + 'new_servicelist.json.saved')

    @staticmethod
    def restore_state():
        shutil.copyfile(APPath.ServiceManagerDataRoot + 'active_servicelist.json.saved',
                        APPath.ServiceManagerDataRoot + 'active_servicelist.json')
        shutil.copyfile(APPath.ServiceManagerDataRoot + 'new_servicelist.json.saved',
                        APPath.ServiceManagerDataRoot + 'new_servicelist.json')

    @staticmethod
    def stop():
        print("Stopping Service Manager")
        ret, result = ShellHelper.run_cmd_output("systemctl stop servicemanager.service")
        assert ret, "Couldn't stop service manager\n" + result

    @staticmethod
    def restart():
        print("Starting Service Manager")
        ret, result = ShellHelper.run_cmd_output("systemctl restart servicemanager.service")
        assert ret, "Starting Service Manager failed:\n" + result
