import subprocess
import time


class ShellHelper(object):

    def __init__(self):
        pass

    # Used to run shell commands and return data from the OS
    @staticmethod
    def run_cmd_output(command, try_times=1, interval_secs=2, def_timeout=15):
        for i in range(0, try_times):
            try:
                print("shellhelper: Command: " + command)
                result = subprocess.check_output(
                    command, timeout=def_timeout, universal_newlines=True, shell=True)

            except Exception as e:
                print("\nshellhelper: Exception: " + str(e))
                time.sleep(interval_secs)
                continue
            return [True, result]

        return [False, ""]


def timed_exec(cmd, times, interval=2):
    for i in range(0, times):
        ret, result = ShellHelper.run_cmd_output(cmd)
        if ret:
            return ret, result
        time.sleep(interval)

    # Used to run shell commands and expect no return data from the OS but just success True/False
    @staticmethod
    def run_shell_cmd(command, def_timeout=10):
        try:
            print("\nshellhelper: Command: " + command)
            subprocess.run(command, timeout=def_timeout, universal_newlines=True, shell=True)

        except Exception as e:
            print("\nshellhelper: Exception: " + str(e))

            return False

        return True
