# Defines pytest fixtures invoked by test cases across this module
import pytest

from common.apdeployment import APDeployment
from common.servicelist import ServiceList
from common.servicemanager import ServiceManager


@pytest.fixture(scope="module")
def apdeployment():
    apdepl = APDeployment()
    yield apdepl

    print("Restarting apdepl")
    apdepl.restart()


@pytest.fixture(scope="module")
def servicemanager():
    servicemanager = ServiceManager()
    return servicemanager


@pytest.fixture(scope="function")
def servicelist():
    svclist = ServiceList()
    yield svclist

    print("Restoring service list to original")
    svclist.restore()
