# Docker BVT
This BVT is used to test docker start, stop, and container upgrade scenarios by stopping all containers, deleting their images, and starting each service. This should work since service startup should handle pulling the Docker image as needed. The BVT will poll docker for a list of images every 10 seconds to see if the image has finished being pulled and have a 5 minute timeout per service.

If you add any services that pull docker images, be sure to update this BVT's `enrolled_containers` dictionary to include all images expected to be available to Linux machines. The key is the full Docker image name without the version number. The value is the name of the systemd service that pulls and uses the Docker image.

If a single service pulls more than one image, specify each image as a separate entry in the dictionary. There are no adverse effects.

This BVT will raise an error when any one of the following conditions is detected:
* The Docker image has not available after the timeout period has been exceeded
